dnl -*- Mode: m4; tab-width: 2; indent-tabs-mode: nil; -*-


AC_DEFUN(AC_CXX_COMPILER_FLAGS,
[
  if test $CXX = "g++"; then
    if test "$debug" = "true"; then
      CXXFLAGS="$CXXFLAGS -ggdb -O0 -DDEBUG -Wall -ansi
    else
      CXXFLAGS="$CXXFLAGS -O2"
    fi
  elif test $CXX = "cl"; then
    CL_LIB=
    CL_EXE=
    CXXFLAGS="$CXXFLAGS /nologo /GX /W3 /D \"WIN32\" /D \"_WINDOWS\" /D \"_MBCS\""
    LDFLAGS="$LDFLAGS /link"
    if test "$debug" = "true"; the
      CXXFLAGS="$CXXFLAGS /D \"_DEBUG\" /D \"IS_DEBUG\"
      CL_LIB="/MDd"
      CL_EXE="/MTd"
    else
      CXXFLAGS="$CXXFLAGS /O2"
      CL_LIB="/MD"
      CL_EXE="/MT"
    fi
    AC_SUBST(CL_LIB)
    AC_SUBST(CL_EXE)
  else
    AC_MSG_ERROR([Compiler $CXX is not supported])
  fi
  AC_SUBST(CXXFLAGS)
])